Subject: [bug#43920] [SHEPHERD PATCH] shepherd: Move log file to XDG_CACHE_DIR.

From: Efraim Flashner <[email-masked]>
Date: Sat, 24 Oct 2020 16:51:20 +0000

On October 24, 2020 4:15:33 PM UTC, "Ludovic Courtès" <[email-masked]> wrote:
>Hi,
>
>Leo Prikler <[email-masked]> skribis:
>
>>> The previous location wasn’t perfect, but the proposed one isn’t
>>> great
>>> either: one can generally assume “rm -rf ~/.cache” won’t lose
>>> anything
>>> that cannot be reconstructed, and the log is something that cannot be
>>> reconstructed.
>> That is actually not part of the XDG specification – it merely states,
>> that non-essential files be put there.  Whether or not one considers
>> the shepherd log essential is debatable.
>
>Right, that’s my interpretation of what “cache” means.
>

I felt like it belongs in cache much more than in a config dir.

>> You could alternatively put it under $XDG_DATA_HOME.  Some projects
>> like Xorg seem to do that.  Of course, there always remains the option
>> of having yet another environment variable or command line parameter
>> for the placement of the log file.
>
>Yup, XDG_DATA_HOME would work for me; it seems to be rather in line with
>what the XDG states and what Xorg does, as you note.
>
>  https://specifications.freedesktop.org/basedir-spec/basedir-spec-latest.html
>
>WDYT, Efraim & Janneke?

I don't think it's really data, it's not like it belongs in something/share. As another data point keybase writes its (verbose) logs in .cache/keybase.

>Ludo’.

-- 
Sent from my Android device with K-9 Mail. Please excuse my brevity.